# Files

## Get SEPA Export file by ID for tenant

> Downloads a specified SEPA Export file.

```json
{"openapi":"3.0.1","info":{"title":"SEPA Export","version":"0.0.1"},"tags":[{"name":"Files"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":["sepaexport.media_view"]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.emporix.io/oauth/token","scopes":{"sepaexport.job_view":"View SEPA export job","sepaexport.job_manage":"Manage SEPA export job","sepaexport.media_view":"View output from SEPA export"}}}}},"responses":{"Unauthorized_401":{"description":"Given request is unauthorized - the authorization token is invalid or has expired. Details will be provided in the response payload.","content":{"application/json":{"schema":{"type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string"},"detail":{"type":"object","properties":{"errorcode":{"type":"string"}}}}}}}}}},"Forbidden_403":{"description":"Given authorization scopes are not sufficient and do not match scopes required by the endpoint.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}},"NotFound_404":{"description":"Given resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseMessage"}}}}},"schemas":{"errorMessage":{"title":"Error","description":"Schema for specific API errors.","type":"object","properties":{"code":{"type":"integer","description":"HTTP status code.","minimum":100,"maximum":599},"status":{"description":"HTTP status.","type":"string"},"message":{"description":"Descriptive error message for debugging.","type":"string"},"details":{"description":"List of problems causing this error.","type":"array","items":{"title":"Error Detail","description":"Error details.","type":"string"}},"resourceId":{"description":"Id of the resource.","type":"string"}},"required":["status","code","message"]},"ResponseMessage":{"required":["message"],"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/sepa-export/{tenant}/files/{fileId}":{"get":{"tags":["Files"],"summary":"Get SEPA Export file by ID for tenant","description":"Downloads a specified SEPA Export file.","operationId":"GET-sepa-export-download-file","parameters":[{"name":"tenant","in":"path","description":"Your Emporix tenant name.\n**Note**: The `tenant` should always be written in lowercase.","required":true,"schema":{"type":"string"}},{"name":"fileId","in":"path","description":"SEPA Export file unique identifier.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"SEPA export file.","content":{"text/plain":{"schema":{"type":"string","format":"binary"}}}},"401":{"$ref":"#/components/responses/Unauthorized_401"},"403":{"$ref":"#/components/responses/Forbidden_403"},"404":{"$ref":"#/components/responses/NotFound_404"}}}}}}
```
